<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>

<HTML>
    <HEAD>
        <TITLE>Here's Your Data...</TITLE>
    </HEAD>
    
    <BODY>
        <H1>Here's Your Data...</H1>

        <h2>The text field text:</h2>
        <bean:write name="ch07_03" property="text"/>
        <BR>

        <h2>Using &lt;logic:empty name="ch07_03" property="empty"&gt;</h2>
        <logic:empty name="ch07_03" property="empty">
        Results: Empty
        </logic:empty>
        <BR>

        <h2>Using &lt;logic:notEmpty name="ch07_03" property="text"&gt;</h2>
        <logic:notEmpty name="ch07_03" property="text">
        Results: Not empty
        </logic:notEmpty>
        <BR>

        <h2>Using &lt;logic:equal name="ch07_03" property="number" value="6"&gt;</h2>
        <logic:equal name="ch07_03" property="number" value="6">
        Results: Equal
        </logic:equal>
        <BR>

        <h2>Using &lt;logic:notEqual&gt; name="ch07_03" property="number" value="7"</h2>
        <logic:notEqual name="ch07_03" property="number" value="7">
        Results: Not equal
        </logic:notEqual>
        <BR>

        <h2>Using &lt;logic:greaterEqual name="ch07_03" property="number" value="3"&gt;</h2>
        <logic:greaterEqual name="ch07_03" property="number" value="3">
        Results: Greater than or equal
        </logic:greaterEqual>
        <BR>

        <h2>Using &lt;logic:greaterThan name="ch07_03" property="number" value="4"&gt;</h2>
        <logic:greaterThan name="ch07_03" property="number" value="4">
        Results: Greater than
        </logic:greaterThan>
        <BR>

        <h2>Using &lt;logic:lessEqual name="ch07_03" property="number" value="8"&gt;</h2>
        <logic:lessEqual name="ch07_03" property="number" value="8">
        Results: Less than or equal
        </logic:lessEqual>
        <BR>

        <h2>Using &lt;logic:lessThan name="ch07_03" property="number" value="8"&gt;</h2>
        <logic:lessThan name="ch07_03" property="number" value="8">
        Results: Less than
        </logic:lessThan>
        <BR>

        <h2>Using &lt;logic:match name="ch07_03" property="text" value="6"&gt;</h2>
        <logic:match name="ch07_03" property="text" value="6">
        Results: Matched
        </logic:match>
        <BR>

        <h2>Using &lt;logic:notMatch name="ch07_03" property="number" value="9"&gt;</h2>
        <logic:notMatch name="ch07_03" property="number" value="9">
        Results: No match
        </logic:notMatch>
        <BR>

        <h2>Using &lt;logic:present name="ch07_03" property="number"&gt;</h2>
        <logic:present name="ch07_03" property="number">
        Results: Present
        </logic:present>
        <BR>

        <h2>Using &lt;logic:notPresent name="ch07_03" property="fish"&gt;</h2>
        <logic:notPresent name="ch07_03" property="fish">
        Results: Not present
        </logic:notPresent>
        <BR>

    </BODY>
</HTML>